#!/bin/bash

. "$(dirname "$(readlink -f "$0")")/libtasks-arch";

apachedir="$(canon "$1")"; shift;
checkdirarg "apache" "$apachedir"

# ---

echo "Preparing Apache archive..." >&/dev/stderr;
apachedirname="$(basename "$apachedir")";
apachedirname_sedcompat="$(sed_escape "$apachedirname")";
# apachedir="$apachedir/..";
# In princile, we can omit some of these directories:
apacheall=( $( echo "$apachedirname"/{bin,cgi-bin,conf,error,lib,htdocs,icons,include,logs,modules} ) );
tar cva --file="$destfile" --ignore-failed-read			\
    -C "$apachedir/.." "${apacheall[@]}"			\
    -C "$appsdir/src" apache					\
    --transform 's,^'"$apachedirname_sedcompat"'/,apache/,'	\
    --show-transformed-names					\
  || { rm -f "$destfile" && exit 1; }
echo "Apache archive created." >&/dev/stderr;

# ---
