#!/bin/bash

. "$(dirname "$(readlink -f "$0")")/libtasks-arch";

mproxydir="$(canon "$1")"; shift;
checkdirarg "mproxy" "$mproxydir";

# ---

echo "Preparing Mproxy archive..." >&/dev/stderr;
mproxydirname="$(basename "$mproxydir")";
mproxydirname_sedcompat="$(sed_escape "$mproxydirname")";
mproxyall=( $( echo "$mproxydirname"/{bin,lib,libexec,include,share} ) );
tar cva --file="$destfile" --ignore-failed-read			\
    -C "$mproxydir/.." "${mproxyall[@]}"			\
    -C "$appsdir/src" mproxy					\
    --transform 's,^'"$mproxydirname_sedcompat"'/,mproxy/,'	\
    --show-transformed-names					\
  || { rm -f "$destfile" && exit 1; }
echo "Mproxy archive created." >&/dev/stderr;

# --
