#!/bin/bash

. "$(dirname "$(readlink -f "$0")")/libtasks-arch";

mysqldir="$(canon "$1")"; shift;
checkdirarg "mysql" "$mysqldir";

# ---

echo "Preparing Mysql archive..." >&/dev/stderr;
mysqldirname="$(basename "$mysqldir")";
mysqldirname_sedcompat="$(sed_escape "$mysqldirname")";
mysqlall=( $( echo "$mysqldirname"/{bin,data,docs,include,lib,scripts,share,support-files} ) );
tar cva --file="$destfile" --ignore-failed-read			\
    -C "$mysqldir/.." "${mysqlall[@]}"				\
    -C "$appsdir/src" mysql					\
    --transform 's,^'"$mysqldirname_sedcompat"'/,mysql/,'	\
    --show-transformed-names					\
  || { rm -f "$destfile" && exit 1; }
echo "Mysql archive created." >&/dev/stderr;

# --
