#!/bin/bash

. "$(dirname "$(readlink -f "$0")")/libtasks-arch";

tomcatdir="$(canon "$1")"; shift;
checkdirarg "tomcat" "$tomcatdir";

# ---

echo "Preparing Tomcat archive..." >&/dev/stderr;
tomcatdirname="$(basename "$tomcatdir")";
tomcatdirname_sedcompat="$(sed_escape "$tomcatdirname")";
# checkdir "$tomcatdir/build";
# tomcatdir="$tomcatdir/build/..";
# tomcatdir="$tomcatdir/..";
# tar cva --file="$destfile"					\
#     -C "$tomcatdir" build					\
#     -C "$appsdir/src" tomcat					\
#     --transform 's,^build/,tomcat/,' --show-transformed-names;
tar cva --file="$destfile"					\
    -C "$tomcatdir/.." "$tomcatdirname"				\
    -C "$appsdir/src" tomcat					\
    --transform 's,^'"$tomcatdirname_sedcompat"'/,tomcat/,'	\
    --show-transformed-names					\
  || { rm -f "$destfile" && exit 1; }
echo "Tomcat archive created." >&/dev/stderr;

# ---
